# Marker

Marker is a simple yet robust markdown editor for the linux desktop.

The primary goal of Marker is to provide a powerful document editing experience, without
making assumptions about the workflow of the user. Many markdown editors are
designed with a particular purpose in mind, such as note-taking, or publishing articles.
Marker's base configuration is very simple, but it can be customized to meet the needs
of any workflow!

![note taking](img/notes.png)

## Resources

### Markdown Tutorial

Learn about the markdown format.

### KaTeX Tutorial

Learn how to create beautiful math formulas to your markdown documents
using $\KaTeX$.

### Mermaid Tutorial

Learn how to create flowcharts, sequence diagrams, and gantt diagrams to your
markdown documents using *Mermaid*.

### Charter Tutorial

Learn how to seamlessly create line graphs, bar graphs, and scatter plots in markdown using *Charter*.

## Get Involved

Marker is developed in the open on [GitHub](https://github.com/fabiocolacio/Marker); It's very easy to
get involved and help us improve the project!

### Bug Reports and Feature Requests

Is there a nasty bug that you keep experiencing, or a feature you want us to add?

You can submit an issue on our [GitHub issue tracker](https://github.com/fabiocolacio/Marker/issues).

### Code

If you have programming experience, feel free to patch issues, and submit pull requests!